#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.1.0.0
visibility:           public
id:                   ghcide-1.1.0.0-DZsqbsjlFzgBaGd0m3M2AS
key:                  ghcide-1.1.0.0-DZsqbsjlFzgBaGd0m3M2AS
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:             https://github.com/haskell/ghcide#readme
synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  656f83fdf3f223d03ed494ac7d8fb57b
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Compile Development.IDE.Core.Debouncer
    Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.1.0.0
hs-libraries:         HSghcide-1.1.0.0-DZsqbsjlFzgBaGd0m3M2AS
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-1sFcmiTBT9m6UCoVw5tPyD
    aeson-1.5.6.0-5eoOZXqtB1gFFr96oMLNs3 array-0.5.4.0
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    base16-bytestring-1.0.1.0-Ei5xtYgdA6SC9LoKi8TYOk binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.0.0-FbG0KC2khjaIpxbZ1xdmTO
    case-insensitive-1.2.1.0-L4eezPrloIkFfLdkfuDqXK containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-3wFDkSRsRgFJQRkbSZFMP7
    dependent-sum-0.7.1.0-2XucyKdJ8SdHwX1xxwkwZN directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-7nFPOCaPgSA8vt7KLOF7ha
    filepath-1.4.2.1 fingertree-0.1.4.2-AmH3Vj9socPHSRG2yL4rUg
    fuzzy-0.1.0.0-FKxyZ36OrZK4cTeDFLq4pE ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.4-2UhCgw3lUOl6SuyoGou2sm
    ghc-exactprint-0.6.4-AeMawkuBitsGnY7bPHn0a8
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    haddock-library-1.10.0-FLT6AlZ6pV2JzuOxWyj7mQ
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    heapsize-0.3.0.1-H0IAZVUSP6cLdazwlKUd
    hie-bios-0.7.5-83uGX1tUN1R78dg0hWWriV
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-1yo0pHVs74yKPHRMH1dPNT
    hls-plugin-api-1.0.0.0-J1B7tk1qSA4E5lEnaULOfV
    hslogger-1.3.1.0-27Sm4iQ7yQpIp5Ha99DABc
    implicit-hie-cradle-0.3.0.2-H6s0tvGgc5I6eFo18iARnY
    lens-5.0.1-G8Zo0dNYNFVDA9XZe2nfW0
    lsp-1.1.1.0-IXIiXVEnGYK1gPSP3NGwgj
    lsp-types-1.1.0.0-A2xwc6rzHztGQuNpgD6bxa mtl-2.2.2
    network-uri-2.6.4.1-B51fs33VEwAKFFO2pdvDFH
    opentelemetry-0.6.1-JrZMB79nSqEKblZMXJfmKV
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-5RL1R8m6RLHKQDYO99Ik7Q
    prettyprinter-ansi-terminal-1.1.2-KYkECxxFCgmIbRxDS7A4PH
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-HESzWjlteQK4jQDft8XVGN
    rope-utf16-splay-0.3.2.0-4MqKcp7dZRn7ESNlsfT5nh
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-AiYGGWbHwte19yKMVe88IP
    shake-0.19.4-KmclQpOdRRv7mroHEE4MgM
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-GxpiJMRPfrB5vScD65j07W stm-2.5.0.0
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.14-6wmHebpKRI883FGSGulTRy
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-L0eBZW05rpSJOXS7yU5DxX
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.3.0-DZd2wim9OGg7KbOKVPP1I9

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

